<div class="row-fluid">
	<section class="span12">
		<% if @document['id'] != nil %>
			<% if @document['component_count_isi'] != nil %>

				<%# COMPLEX OBJECTS %>
				<%= render :partial => 'complex_object_viewer' %>

			<% else %>

				<%# SIMPLE OBJECTS %>
				<%
					ark = render_document_show_field_value(:document=>@document, :field=>'id')
					fileType = grabFileUse
					display_file = grabDisplayFile
					service_file = grabServiceFile
					source_file = grabSourceFile
					pdf_file = grabPDFFile
					display_file_path = (display_file != 'no_display') ? file_path(ark,"_#{display_file}") : ''
					service_file_path = (service_file != nil) ? download_path(ark,"_#{service_file}") : ''
                    if source_file != nil
					  download_file_path = download_path(ark,"_#{source_file}")
					  source_file_path = download_path(ark,"_#{source_file}")
                    elsif service_file != nil
					  download_file_path = download_path(ark,"_#{service_file}")
                    elsif display_file != nil
					  download_file_path = download_path(ark,"_#{display_file}")
                    else
                      download_file_path = ''
                    end
                    
                    if service_file != nil
					  download_derivative_path = download_path(ark,"_#{service_file}")
					end
					
					pdf_file_path = (pdf_file != nil) ? download_path(ark, "_#{pdf_file}") : ''
					zoom_file_path = zoom_path @document['id'], '0'

                    can_public_download = can_public_source_download?(@document)
				%>
				<%= render :partial => 'simple_object_viewer',
							:locals =>
							{
								:fileType => fileType,
								:display_file_path => display_file_path,
								:service_file_path => service_file_path,
								:download_file_path => download_file_path,
								:download_derivative_path => download_derivative_path,
								:source_file_path => source_file_path,
								:service_file => service_file,
								:pdf_file_path => pdf_file_path,
								:zoom_file_path => zoom_file_path,
								:publicSourceDownload => can_public_download
							}
				%>

			<% end %>
		<% end %>
	</section>
</div>
